﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;
using System.Windows.Controls.Primitives;
using Syncfusion.Windows.Data;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Controls.Cells;
using System.Windows.Threading;
using System.Globalization;
using System.Timers;
using System.Diagnostics;

namespace GridDataControlSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
           // this.syncgrid.ItemsSource = vm.GDCSource1;
           // this.syncgrid.ModelLoaded += new EventHandler(syncgrid_ModelLoaded);
            this.syncgrid.Model.QueryCellInfo += new GridQueryCellInfoEventHandler(Model_QueryCellInfo);
        }

        void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            if (e.Style.RowIndex > 0)
            {
                var style = e.Style.CellIdentity as GridDataTableStyleInfoIdentity;
                //var styleInfo = style.CellIdentity.
                if (style.Column != null)
                {
                    string columnName = style.Column.MappingName;
                    if (columnName == "CustomerName")
                    {
                        var value = e.Style.GridModel[e.Style.RowIndex, e.Style.ColumnIndex + 1].CellValue;
                        int value1 = int.Parse(value.ToString());
                        if (value1 <40)
                        {
                            e.Style.Background = Brushes.Red;
                        }

                    }
                }
            }
           // throw new NotImplementedException();
        }

      
    }
}

